Package org.springframework.context.i18n

# Class SimpleTimeZoneAwareLocaleContext

java.lang.Object
org.springframework.context.i18n.SimpleLocaleContext
org.springframework.context.i18n.SimpleTimeZoneAwareLocaleContext

All Implemented Interfaces:
  `LocaleContext`, `TimeZoneAwareLocaleContext`

public class SimpleTimeZoneAwareLocaleContext extends SimpleLocaleContext implements TimeZoneAwareLocaleContext
Simple implementation of the `TimeZoneAwareLocaleContext` interface, always returning a specified `Locale` and `TimeZone`.

Note: Prefer the use of `SimpleLocaleContext` when only setting a Locale but no TimeZone.

Since:
  4.0
Author:
  Juergen Hoeller, Nicholas Williams
See Also:
  - `LocaleContextHolder.setLocaleContext(org.springframework.context.i18n.LocaleContext)`
  - `LocaleContextHolder.getTimeZone()`

## Constructor Summary

Constructors
Constructor
Description
`SimpleTimeZoneAwareLocaleContext(Locale locale, TimeZone timeZone)`
Create a new SimpleTimeZoneAwareLocaleContext that exposes the specified Locale and TimeZone.

## Method Summary

Modifier and Type
Method
Description
`TimeZone`
`getTimeZone()`
Return the current TimeZone, which can be fixed or determined dynamically, depending on the implementation strategy.
`String`
`toString()`

### Methods inherited from class org.springframework.context.i18n.SimpleLocaleContext

`getLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.context.i18n.LocaleContext

`getLocale`

## Constructor Details

### SimpleTimeZoneAwareLocaleContext

public SimpleTimeZoneAwareLocaleContext(@Nullable Locale locale, @Nullable TimeZone timeZone)
Create a new SimpleTimeZoneAwareLocaleContext that exposes the specified Locale and TimeZone. Every `SimpleLocaleContext.getLocale()` call will return the given Locale, and every `getTimeZone()` call will return the given TimeZone.

Parameters:
  `locale` - the Locale to expose
  `timeZone` - the TimeZone to expose

## Method Details

### getTimeZone

@Nullable public TimeZone getTimeZone()
Description copied from interface: `TimeZoneAwareLocaleContext`
Return the current TimeZone, which can be fixed or determined dynamically, depending on the implementation strategy.

Specified by:
  `getTimeZone` in interface `TimeZoneAwareLocaleContext`
Returns:
  the current TimeZone, or `null` if no specific TimeZone associated

### toString

public String toString()

Overrides:
  `toString` in class `SimpleLocaleContext`